Bug 250463 - Review Request: pyvserver - Python interface to the Linux-VServer kernel interface
Review Request: pyvserver - Python interface to the Linux-VServer kernel inte...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernie Innocenti
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-01 15:11 EDT by Noah Kantrowitz
Modified: 2008-09-09 09:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-09 09:55:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bernie+fedora: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Noah Kantrowitz 2007-08-01 15:11:26 EDT
Spec URL: http://dev.laptop.org/~coderanger/rpm/python-pyvserver/python-pyvserver.spec
SRPM URL: http://dev.laptop.org/~coderanger/rpm/python-pyvserver/python-pyvserver-1.0-0.0.20070723git639686.src.rpm
Description: This is a wrapper around libvserver (util-vserver-lib in Fedora) to allow Python programs to manipulate the VServer system.
Comment 1 Xavier Lamien 2007-08-02 13:10:17 EDT
# Release tag:
As you have an snapshot package which's post-released.
1.20070723git639686%{?dist} instead of 0.0.20070723git639686

# Package name:
As a package of python module, a differente name scheme should be set.
however the upstream source has already named the base package name of its
source with "py"vserver which's enough. So move the name (including spec file
name) to pyvserver only.

# Source0:
I think that you should mention on spec file it's an snapshop link/source

# %build stage:
As noarch package, the flags CFLAGS= SHOULD be remove (fc.the comment above it's
there for reminder).

# files:
your package own others directoris which're own by other packages.
All directories/sub-one which __python-sitelib contains.
SHOULD be fix.

# Changelog:
version changelog need to be fix due tu first issues in this comment.



Comment 2 Noah Kantrowitz 2007-08-02 17:34:58 EDT
# Release tag:
This is actually a pre-release version. We are trying to get this in to Fedora now so people can test as we 
develop more.

The other things should be fixed in pyvserver-1.0-0.1.20070723git639686.

New spec file: http://dev.laptop.org/~coderanger/rpm/pyvserver/pyvserver.spec
New SPRM: http://dev.laptop.org/~coderanger/rpm/pyvserver/pyvserver-1.0-
0.1.20070723git639686.src.rpm
Comment 3 Noah Kantrowitz 2007-08-14 23:10:54 EDT
New version
SRPM: http://dev.laptop.org/~coderanger/rpm/pyvserver/pyvserver-1.0-
0.2.20070723git639686.src.rpm
Spec in the same place
Comment 5 Xavier Lamien 2007-08-31 14:35:18 EDT
Fixed bug Summary.
Comment 6 John (J5) Palmieri 2007-09-05 18:38:55 EDT
rpmlint passes without any warnings on the srpm.
rpmlint has ChangeLog warnings on the rpm.

W: pyvserver incoherent-version-in-changelog 1.0-0.2.20070723git639686
1.0-0.2.20070830git1e20c7.olpc2

Summary:

looked at ctypes code which uses dlopen to find the correct library and should
work on multiarch depending on which arch version of libc is being used by python.

ChangeLog needs updating - missing an entry

Checklist:

     - MUST: rpmlint must be run on every package. The output should be posted
in the review.

Requires a ChangeLog entry, this can be done on import to CVS

      - MUST: The package must be named according to the Package Naming Guidelines.
Ok
      - MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption on Package Naming
Guidelines.
Ok
      - MUST: The package must meet the Packaging Guidelines.

Ok

      - MUST: The package must be licensed with an open-source compatible
license and meet other legal requirements as defined in the legal section of
Packaging Guidelines.

Ok (GPLv2+) 

      - MUST: The License field in the package spec file must match the actual
license.
Ok

      - MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

Ok

      - MUST: The spec file must be written in American English.
Ok
      - MUST: The spec file for the package MUST be legible. If the reviewer is
unable to read the spec file, it will be impossible to perform a review. Fedora
is not the place for entries into the Obfuscated Code Contest
(http://www.ioccc.org/).
Ok
      - MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

Ok

      - MUST: The package must successfully compile and build into binary rpms
on at least one supported architecture.
Ok - noarch

      - MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next to
the corresponding ExcludeArch line. New packages will not have bugzilla entries
during the review process, so they should put this description in the comment
until the package is approved, then file the bugzilla entry, and replace the
long explanation with the bug number. (Extras Only) The bug should be marked as
blocking one (or more) of the following bugs to simplify tracking such issues:
FE-ExcludeArch-x86, FE-ExcludeArch-x64, FE-ExcludeArch-ppc, FE-ExcludeArch-ppc64

Ok

      - MUST: All build dependencies must be listed in BuildRequires, except for
any that are listed in the exceptions section of Packaging Guidelines; inclusion
of those as BuildRequires is optional. Apply common sense.

Ok

      - MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
Ok (no translations)

      - MUST: Every binary RPM package which stores shared library files (not
just symlinks) in any of the dynamic linker's default paths, must call ldconfig
in %post and %postun. If the package has multiple subpackages with libraries,
each subpackage should also have a %post/%postun section that calls
/sbin/ldconfig. An example of the correct syntax for this is: 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

Ok (No %{_libdir} libraries)

      - MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
Ok (package not relocatable)

      - MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. The exception to this are directories listed explicitly
in the Filesystem Hierarchy Standard
(http://www.pathname.com/fhs/pub/fhs-2.3.html), as it is safe to assume that
those directories exist.
Ok

      - MUST: A package must not contain any duplicate files in the %files listing.
Ok

      - MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line.
Ok

      - MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
Ok

      - MUST: Each package must consistently use macros, as described in the
macros section of Packaging Guidelines.
Ok

      - MUST: The package must contain code, or permissable content. This is
described in detail in the code vs. content section of Packaging Guidelines.
Ok

      - MUST: Large documentation files should go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity)
Ok(no large docs)

      - MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.
Ok

      - MUST: Header files must be in a -devel package.
Ok(No libraries)

      - MUST: Static libraries must be in a -static package.
Ok (No static libraries)

      - MUST: Packages containing pkgconfig(.pc) files must 'Requires:
pkgconfig' (for directory ownership and usability).
Ok (No pkgconfig)

      - MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in a
-devel package.
Ok (no libraries)

      - MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 
Ok(No devel)

      - MUST: Packages must NOT contain any .la libtool archives, these should
be removed in the spec.
Ok (No Libraries)

      - MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. This is described in detail in the
desktop files section of Packaging Guidelines. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation.
Ok (no .desktop file)

      - MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another package
owns, then please present that at package review time.
Ok

      - MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT). See Prepping BuildRoot For %install for details.
Ok

      - MUST: All filenames in rpm packages must be valid UTF-8.
Ok

SHOULD Items:
      - SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
Ok - license included
     
      - SHOULD: The reviewer should test that the package builds in mock.
Ok - built in koji as scratch
Comment 7 John (J5) Palmieri 2007-09-05 18:39:52 EDT
Did a review.  It passes but I will leave it up to Xavier to approve.
Comment 8 Xavier Lamien 2007-09-05 20:05:12 EDT
>     - MUST: The package must be licensed with an open-source compatible
> license and meet other legal requirements as defined in the legal section of
> Packaging Guidelines.
>
> Ok (GPLv2+) 
>
>      - MUST: The License field in the package spec file must match the actual
> license.
> Ok
>

This SHOULD be fix to the correct version in spec file.
Comment 9 Michael Stone 2007-09-07 14:24:06 EDT
This pre-release should fix the License field and the ChangeLog warning.

New spec file: http://dev.laptop.org/~mstone/releases/SPECS/pyvserver.spec
New SRPM: http://dev.laptop.org/~mstone/releases/SRPMS/pyvserver-1.0-0.3.fc7.src.rpm
Comment 10 Xavier Lamien 2007-09-11 15:30:24 EDT
hm... could you or upstream explain about the version of this package, i can see
that its archived with version 3.0 and have an diretory with version 1.0.

AFAIK, a sourcetarball is not shipped without version in .tar.gz format
Comment 11 Michael Stone 2007-09-14 15:36:22 EDT
This is a pre-version-1.0 snapshot (which I designated as release 0.3) because
the high-level binding (pyvserver) is not yet feature-complete. However, since I
am the upstream developer, I can certainly use a different release naming scheme
if Fedora so requires.

Also, I'm not sure that I understand your question about the tarball's name. Are
you saying that it should be named something like pyvserver-1.0-0.3.tar.gz?
Comment 12 John (J5) Palmieri 2007-09-19 19:14:39 EDT
Ah, missed that.  The version of the package should be 0.3 and the release
should be 1 (up the release every time you make a spec file change).  If you are
doing snapshot releases the version would be the next release version with a
release of 0.1.<date>git<git commit hash>  where the commit hash doesn't have to
be the whole hash.  I think the first ten digits is standard fare.
Comment 13 Michael Stone 2007-09-19 20:04:39 EDT
This release should fix the version/release numbering problem.

New spec file: http://dev.laptop.org/~mstone/releases/SPECS/pyvserver.spec
New SRPM: http://dev.laptop.org/~mstone/releases/SRPMS/pyvserver-0.3.1-1.fc7.src.rpm

Comment 14 Xavier Lamien 2007-09-21 12:07:18 EDT
ok, now it's more clear.

I'll check this next week ;)
Comment 15 Michael Stone 2007-09-22 00:42:20 EDT
Thanks again for the detailed, helpful reviews.
Comment 16 Michael Stone 2007-10-10 19:11:59 EDT
Are there any other packaging bugs that I need to fix before this package can be
approved?
Comment 17 Bernie Innocenti 2007-10-30 22:27:07 EDT
Ping?  I'm going to approve this review tomorrow if nobody complains.
Comment 18 Bernie Innocenti 2007-11-01 05:52:45 EDT
Package approved.
Comment 19 Kevin Fenzi 2007-11-01 13:14:58 EDT
Can the maintainer please add a cvs template here indicating what they want?
See: 
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
and reset the fedora-cvs flag when you are ready. 
Comment 20 Bernie Innocenti 2008-09-09 09:55:49 EDT
This package was withdrawn because eventually we dropped vservers from OLPC.

Note You need to log in before you can comment on or make changes to this bug.